function init()

	snd = LoadSound("tool-select-fail.ogg")
	PlayMusic("frustrum-noheist.ogg")
	
	if GetString("savegame.mod.weather") == "" then
		SetString("savegame.mod.weather", "sunny")
	end

	subway = GetString("savegame.mod.weather")
	
end

function tick(dt)
	
	UiMakeInteractive()
end

function draw()

	--Ui
	UiAlign("center middle")
	UiFont("regular.ttf", 26)

	UiButtonImageBox("MOD/gui/box-outline-6.png", 6, 6)
	UiButtonHoverColor(1,1,0.6)

	UiPush()
	scale=(UiWidth()-0)/1300
	UiTranslate(UiWidth()-0,0)
	UiAlign("right top")
	UiScale(scale)
	
	if GetBool("savegame.mod.rain") then
	bg_image = UiImage("MOD/gui/images/menu_preview.png")
	else
	bg_image = UiImage("MOD/gui/images/menu_preview.png")
	end

UiPop()

UiPush()
UiTranslate(800, 190)
UiAlign("left top")
UiImageBox("MOD/gui/sign-01.png", 320, 580, 75, 75)
UiPop()

	--Title
	UiFont("bold.ttf", 68)
	UiTranslate(965, 50)
	UiText("IKEA SHOWROOMS")
	
	UiFont("regular.ttf", 26)
	
	--Draw buttons
	UiPush()
		UiTranslate(0, 190)
		UiText("-- Showroom Options --")
		UiTranslate(0, 50)
		if GetBool("ikea_map") then
			UiPush()
				UiColor(1, 0.4, 0.1, 0.5)
				UiImageBox("MOD/gui/box-solid-6.png", 285, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("IKEA Showrooms", 285, 40) then
			PlaySound(snd)
			SetBool("ikea_map", true)
			SetBool("scp_mode", false)
			SetBool("friendly_employees", false)
			SetBool("lag_free", false)
		end

		UiTranslate(0, 50)
		if GetBool("scp_mode") then
			UiPush()
				UiColor(1, 0.4, 0.1, 0.5)
				UiImageBox("MOD/gui/box-solid-6.png", 285, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("SCP-3008 Mode", 285, 40) then
			PlaySound(snd)
			SetBool("ikea_map", false)
			SetBool("lag_free", false)
			SetBool("friendly_employees", false)
			SetBool("scp_mode", true)
		end
		UiTranslate(0, 50)
		if GetBool("lag_free") then
			UiPush()
				UiColor(1, 0.4, 0.1, 0.5)
				UiImageBox("MOD/gui/box-solid-6.png", 285, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("Lag-Free IKEA", 285, 40) then
			PlaySound(snd)
			SetBool("ikea_map", false)
			SetBool("scp_mode", false)
			SetBool("friendly_employees", false)
			SetBool("lag_free", true)
		end
		UiTranslate(0, 50)
		if GetBool("friendly_employees") then
			UiPush()
				UiColor(1, 0.4, 0.1, 0.5)
				UiImageBox("MOD/gui/box-solid-6.png", 285, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("IKEA (With Employees)", 285, 40) then
			PlaySound(snd)
			SetBool("ikea_map", false)
			SetBool("scp_mode", false)
			SetBool("lag_free", false)
			SetBool("friendly_employees", true)
		end

		
		
		UiTranslate(0, 150)
		if UiTextButton("Load Map", 285, 40) then
			PlaySound(snd)
			if GetBool("ikea_map") then
				StartLevel("", "MOD/ikea.xml")
			end
			if GetBool("scp_mode") then
				StartLevel("", "MOD/scp_3008.xml")
			end
			if GetBool("lag_free") then
				StartLevel("", "MOD/ikea_lag_free.xml")
			end
			if GetBool("friendly_employees") then
				StartLevel("", "MOD/ikea_employee.xml")
			end
		end

				
		UiTranslate(0, 50)
		if UiTextButton("Exit To Menu", 285, 40) then
			PlaySound(snd)
			Menu()
		end

		UiTranslate(-83, 85)
		if GetBool("mute_audio") then
			UiPush()
				UiColor(1, 0.4, 0.1, 0.5)
				UiImageBox("MOD/gui/box-solid-6.png", 285, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("Mute Audio", 135, 40) then
			PlaySound(snd)
			StopMusic()
			
		end

		UiTranslate(155, 0)
		if GetBool("unmute_audio") then
			UiPush()
				UiColor(1, 0.4, 0.1, 0.5)
				UiImageBox("MOD/gui/box-solid-6.png", 285, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("Unmute Audio", 155, 40) then
			PlaySound(snd)
			PlayMusic("frustrum-noheist.ogg")
			
		end
		UiTranslate(0, 65)
		UiTranslate(-110, 0)
		UiColor(0.5, 1, 0.1, 1)
	UiPop()
	end
